function fnSaveValidate() {
	var himsValidator = [new hims_ctl_val('ctl00_CP_FromDatePicker' + "_DateTextbox", "From Date", "T", "", "", "", ""),
		new hims_ctl_val('ctl00_CP_ToDatePicker' + "_DateTextbox", "To Date", "T", "", "", "", "")];
	if (fnDoValidate(himsValidator)) {
		return true;
	}
	else {
		return false;
	}
}
function checkAll(obj) {
    var objGridview = obj.closest('table');
    var list = objGridview.getElementsByTagName("input");
    for (var i = 0; i < list.length; i++) {
        var objRow = list[i].parentNode.parentNode;
        if (list[i].type == "checkbox" && obj != list[i]) {
            if (obj.checked) {
                if (!list[i].disabled)
                    list[i].checked = true;
            }
            else {
                if (!list[i].disabled)
                    list[i].checked = false;
            }
        }
    }
}
function checkUncheckHeaderCheckBox(obj) {
    var objGridView = obj.closest('table');
    var list = objGridView.getElementsByTagName("input");
    for (var i = 0; i < list.length; i++) {
        var objHeaderChkBox = list[0];
        var checked = true;
        if (list[i].type == "checkbox" && list[i] != objHeaderChkBox) {
            if (!list[i].checked) {
                checked = false;
                break;
            }
        }
    }
    objHeaderChkBox.checked = checked;
}